# rule identifiers to exclude from running
disabled_rules:
  - trailing_whitespace
  - redundant_string_enum_value
  - large_tuple

# some rules are only opt-in
opt_in_rules:
  - force_unwrapping
  - force_cast
  - force_try
  - empty_count
  - empty_string
  - contains_over_first_not_nil
  - first_where
  - discouraged_optional_boolean
  - discouraged_optional_collection
  - closure_spacing
  - explicit_init
  - fatal_error_message
  - overridden_super_call
  - prohibited_super_call
  - override_in_extension
  - redundant_nil_coalescing


# paths to include during linting. `--path` is ignored if present.
#included:

# paths to ignore during linting. Takes precedence over `included`.
excluded:
  - Carthage
  - Pods
  - SwiftlintAppTests
  - SwiftlintAppUITests

line_length:
  warning: 200
  error: 250

identifier_name:
  excluded:
    - vc
